--[[ Copyright (c) 2017 Optera
 * Part of Loader Redux
 *
 * See LICENSE.md in the project directory for license information.
--]]

local optera_lib = require("__OpteraLib__.data.utilities")
require("prototypes.item")
require("prototypes.recipe")
require("prototypes.entity")

local loader_techs = {

}

if mods["UltimateBelts_Owoshima_And_Pankeko-Mod"] then
  loader_techs["ultra-fast-logistics"] = "ultra-fast-loader"
  loader_techs["extreme-fast-logistics"] = "extreme-fast-loader"
  loader_techs["ultra-express-logistics"] = "ultra-express-loader"
  loader_techs["extreme-express-logistics"] = "extreme-express-loader"
  loader_techs["ultimate-logistics"] = "ultimate-loader"
end

for tech, recipe in pairs(loader_techs) do
  if data.raw.technology[tech] then
    table.insert(data.raw.technology[tech].effects, {type = "unlock-recipe", recipe = recipe} )
  end
end
